%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-redis
%global commit 6abc4f4ffbe718ed964a9672b3e75f3a88fc916d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-redis
Version:        1.2.3
Release:        2%{?dist}
Summary:        Redis module
License:        Apache-2.0

URL:            http://arioch.github.io/puppet-redis/

Source0:        https://github.com/arioch/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
# patches_base=6abc4f4ffbe718ed964a9672b3e75f3a88fc916d
#
Patch0001: 0001-Remove-single-quotes-around-variable.patch
Patch0002: 0002-Support-testing-on-Rubies-2.0.0.patch
Patch0003: 0003-Add-puppetversion-fact-needed-for-apt-on-Debian.patch
Patch0004: 0004-Improves-FreeBSD-support.patch
Patch0005: 0005-Adds-new-spec-for-FreeBSD-specific-params.patch
Patch0006: 0006-Adds-save-interval-parameter.patch
Patch0007: 0007-Adds-spec-for-save_db_to_disk_interval-parameter.patch
Patch0008: 0008-Consolidate-Travis-and-testing-boilerplate.patch
Patch0009: 0009-Fixes-puppet-lint-issues.patch
Patch0010: 0010-Add-Sentinel-IP-Binding-param.patch
Patch0011: 0011-Adds-spec-for-binding-sentinal.patch
Patch0012: 0012-Fixes-gpg-key-for-DotDeb.patch
Patch0013: 0013-Fix-Beaker-settings.patch
Patch0014: 0014-Add-fast-finish-to-Travis.patch
Patch0015: 0015-Speed-up-Travis-even-more.patch
Patch0016: 0016-Update-Gemfile-for-puppet-syntax-failure.patch
Patch0017: 0017-Fixes-Debian-apt-source-spec.patch
Patch0018: 0018-Update-Environment-variable-for-Gem-install.patch
Patch0019: 0019-Fix-OS-dependent-variables-for-Beaker-specs.patch
Patch0020: 0020-Add-CentOS-6-Docker-instance.patch
Patch0021: 0021-Move-Repo-for-RHEL-systems-to-EPEL.patch
Patch0022: 0022-Changed-default-service_hasstatus-variable-from-fals.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Redis module

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/redis/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/redis/



%files
%{_datadir}/openstack-puppet/modules/redis/


%changelog
* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 1.2.3-2
- Changed default service_hasstatus variable from false to true. * Fixing spec tests for redis-sentinel hasstatus.
- Move Repo for RHEL systems to EPEL
- Add CentOS 6 Docker instance
- Fix OS dependent variables for Beaker specs
- Update Environment variable for Gem install
- Fixes Debian apt source spec
- Update Gemfile for puppet-syntax failure
- Speed up Travis even more
- Add fast finish to Travis
- Fix Beaker settings
- Fixes gpg key for DotDeb
- Adds spec for binding sentinal
- Add Sentinel IP Binding param
- Fixes puppet-lint issues
- Consolidate Travis and testing boilerplate
- Adds spec for save_db_to_disk_interval parameter
- Adds save interval parameter
- Adds new spec for FreeBSD specific params
- Improves FreeBSD support * Move pidfile settings from global section as a name of pidfile on FreeBSD platform is different * Move workdir settings from global section as a database on FreeBSD platform placed on different place
- Add puppetversion fact needed for apt on Debian
- Support testing on Rubies < 2.0.0
- Remove single quotes around variable

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.2.3-1
- Newton update 1.2.3 (6abc4f4ffbe718ed964a9672b3e75f3a88fc916d)


